"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseDitamap = void 0;
const ditamap_1 = require("./ditamap");
class BaseDitamap extends ditamap_1.Ditamap {
    constructor(topics) {
        // Set the data of topic and filenames
        super(ditamap_1.Ditamap.file('cli_reference', 'ditamap'), {
            namespaceDitamapFiles: topics.sort().map((topic) => ditamap_1.Ditamap.file(`${topic}/cli_reference_${topic}`, 'ditamap')),
        });
    }
    // eslint-disable-next-line class-methods-use-this
    getTemplateFileName() {
        return 'base_ditamap.hbs';
    }
}
exports.BaseDitamap = BaseDitamap;
//# sourceMappingURL=base-ditamap.js.map