"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CLIReference = void 0;
const ditamap_1 = require("./ditamap");
class CLIReference extends ditamap_1.Ditamap {
    constructor() {
        const filename = ditamap_1.Ditamap.file('cli_reference', 'xml');
        super(filename, {
            cliVersion: ditamap_1.Ditamap.cliVersion,
            pluginVersions: ditamap_1.Ditamap.pluginVersions,
        });
    }
    // eslint-disable-next-line class-methods-use-this
    getTemplateFileName() {
        return 'cli_reference_xml.hbs';
    }
}
exports.CLIReference = CLIReference;
//# sourceMappingURL=cli-reference.js.map